#pragma once
#include "KOTHTeamState.Generated.h"

USTRUCT(BlueprintType)
struct FKOTHTeamState
{
	GENERATED_USTRUCT_BODY()
public:
	UPROPERTY(BlueprintReadOnly)
	float score;
	UPROPERTY(BlueprintReadOnly)
	float maxScore;
	// If this is greater than 0, the team has recently received score
	UPROPERTY(BlueprintReadOnly)
	int32 active;
	UPROPERTY(BlueprintReadOnly)
	bool containsMembers;
};
